PosixSignalHandler Class Referenceabstract

Gets a method called when the corresponding signal is received. More...

`#include <PosixSignalHandler.h>`

## Public Member Functions

virtual void | HandlePosixSignal (int signalNumber)=0
| This method is called when the specified POSIX signal is received by the PosixSignalDispatcher that is managing this handler. More...
virtual | ~PosixSignalHandler ()=0
| Destructor is declared virtual as we expect this class to be subclassed. More...

## Detailed Description

Gets a method called when the corresponding signal is received.

A PosixSignalHandler must be connected to the PosixSignalDispatcher for it to be called.

Definition at line 9 of file PosixSignalHandler.h.

## Constructor & Destructor Documentation

## ~PosixSignalHandler()

PosixSignalHandler::~PosixSignalHandler | ( |  | ) |

inline pure virtual

Destructor is declared virtual as we expect this class to be subclassed.

It is also declared pure abstract to make this class a pure abstract class.

Definition at line 28 of file PosixSignalHandler.h.

## Member Function Documentation

## HandlePosixSignal()

virtual void PosixSignalHandler::HandlePosixSignal | ( | int | signalNumber | ) |

pure virtual

This method is called when the specified POSIX signal is received by the PosixSignalDispatcher that is managing this handler.

The documentation for this class was generated from the following file:

- PosixSignalHandler.h